%define	name	rlinetd
%define	version	0.3
%define	release	1
%define	serial	1

Summary:	rlinetd - an(other) internet super-server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Networking/Daemons
URL:		http://www.eris.rcpt.to/rlinetd
Vendor:		Mikolaj J. Habryn <dichro-rlinetd@rcpt.to>
Source:		%{name}-%{version}.tar.gz
Source1:	rlinetd.init
Requires:	/sbin/chkconfig
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}

%description
 rlinetd is a connection manager which binds and listens to a number
 of ports, and performs specified actions when a connection is made.
 It is intended as a replacement for the BSD inetd program.

%prep
%setup -q
./configure --prefix=/usr

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rlinetd

make DESTDIR=$RPM_BUILD_ROOT install-strip

%post
/sbin/chkconfig --add rlinetd
cat <<EOM

You must put your rlinetd.conf in /etc/rlinetd.conf.
There is a sample config file in /usr/doc/%{name}-%{version}/examples.
You can use /usr/sbin/inetd2rlinetd to convert your old inetd.conf
	file to an rlinetd format.
EOM

%preun
/sbin/chkconfig --del rlinetd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README
%doc README.capabilities README.inetd THANKS THOUGHTS TODO
/etc/rc.d/init.d/rlinetd
/usr/lib/rlinetd
/usr/sbin/rlinetd
/usr/sbin/inetd2rlinetd
/usr/man/man1/inetd2rlinetd.1
/usr/man/man5/rlinetd.conf.5
/usr/man/man8/rlinetd.8

%changelog
* Wed Mar 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [rlinetd-0.3-1]
- Initial RPM build.
- New in 0.3:
- autoconf/automake/libtool support
- native tcp_wrappers support
- capability support
- udp bugfixes, reload bugfixes, documentation, examples

- New in 0.2:
- udp and rpc support
- dynamically loadable parser module
- load directories (eg, /etc/rlinetd.d)
- proper superset of inetd functionality, modulo minor quirks

